name: Continuous Integration

on: [push]

jobs:
  check:
    name: Check
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: actions-rust-lang/setup-rust-toolchain@v1
      - run: rustup target add x86_64-unknown-none
      - run: cargo check

  # Disabled until custom test harness is implemented.
  #test:
  #  name: Test Suite
  #  runs-on: ubuntu-latest
  #  steps:
  #    - uses: actions/checkout@v4
  #    - uses: actions-rust-lang/setup-rust-toolchain@v1
  #    - run: cargo test

  clippy:
    name: Clippy
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: actions-rust-lang/setup-rust-toolchain@v1
      - run: rustup component add clippy
      - run: rustup target add x86_64-unknown-none
      - run: cargo clippy -- -D warnings
